Bug 1471586 - SELinux is preventing python3 from 'read' accesses on the directory site-packages.
SELinux is preventing python3 from 'read' accesses on the directory site-pack...
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:714056a9a1c20864b88817dfb1f...
:
: 1421004 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-16 22:08 EDT by laurentc3
Modified: 2017-07-19 06:33 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description laurentc3 2017-07-16 22:08:21 EDT
Description of problem:
SELinux is preventing python3 from 'read' accesses on the directory site-packages.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that python3 should be allowed read access on the site-packages directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'python3' --raw | audit2allow -M my-python3
# semodule -X 300 -i my-python3.pp

Additional Information:
Source Context                system_u:system_r:blueman_t:s0
Target Context                unconfined_u:object_r:gconf_home_t:s0
Target Objects                site-packages [ dir ]
Source                        python3
Source Path                   python3
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-259.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.11.9-300.fc26.x86_64 #1 SMP Wed
                              Jul 5 16:21:56 UTC 2017 x86_64 x86_64
Alert Count                   4
First Seen                    2017-07-16 09:33:25 +07
Last Seen                     2017-07-17 08:57:44 +07
Local ID                      26086cb4-388a-4957-b111-3d8a0e20c663

Raw Audit Messages
type=AVC msg=audit(1500256664.924:358): avc:  denied  { read } for  pid=3543 comm="python3" name="site-packages" dev="dm-1" ino=2099925 scontext=system_u:system_r:blueman_t:s0 tcontext=unconfined_u:object_r:gconf_home_t:s0 tclass=dir permissive=0


Hash: python3,blueman_t,gconf_home_t,dir,read

Version-Release number of selected component:
selinux-policy-3.13.1-259.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.9-300.fc26.x86_64
type:           libreport

Potential duplicate: bug 1421004
Comment 1 Lukas Vrabec 2017-07-19 06:33:28 EDT
*** Bug 1421004 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.